package birdeye

const (
	//method
	GET  string = "GET"
	POST string = "POST"

	//API
	NET_WORKS      string = "networks"
	PRICE          string = "price"
	MULTIPLE_PRICE string = "multi_price"
	HISTORICAL     string = "history_price"
	TRADES_TOKEN   string = "txs/token"
	TRADES_PAIR    string = "txs/pair"

	//symbol
	QUESTION_MARK string = "?"
	COMMAS        string = ","
	TEN           int    = 10

	//env
	X_API_KEY         string = "X-API-KEY"
	DEFI_URL          string = "DEFI_URL"
	TOKEN_URL         string = "DEFI_URL"
	WALLET_URL        string = "WALLET_URL"
	TOKEN_LIST_V2_URL string = "TOKEN_LIST_V2_URL"
	BIRD_EYE_API_KEY  string = "BIRD_EYE_API_KEY"

	//params
	CheckLiquidity       string = "check_liquidity"
	IncludeLiquidity     string = "include_liquidity"
	ADDRESS              string = "address"
	ACCEPT               string = "accept"
	X_CHAIN              string = "x_chain"
	APPLICATION_JSON     string = "application/json"
	LIST_ADDRESS         string = "list_address"
	SORT_BY              string = "sort_by"
	SORT_TYPE            string = "sort_type"
	OFFSET               string = "offset"
	LIMIT                string = "limit"
	MIN_LIQUIDITY        string = "min_liquidity"
	TOKEN_LIST           string = "tokenlist"
	LIST_SUPPORTED_CHAIN string = "list_supported_chain"
	TX_LIST              string = "tx_list"
	WALLET               string = "wallet"
	BEFORE               string = "before"
	ADDRESS_TYPE         string = "address_type"
	TYPE                 string = "type"
	TIME_FROM            string = "time_from"
	TIME_TO              string = "time_to"
	UNIX_TIME            string = "unix_time"
	TX_TYPE              string = "tx_type"
)
