package token

type ListRes struct {
	Success bool `json:"success" dc:"是否成功"`
	Data    List `json:"data"`
}

type List struct {
	UpdateUnixTime uint32      `json:"updateUnixTime"`
	UpdateTime     uint32      `json:"updateime"`
	Tokens         []TokenData `json:"tokens"`
	Total          uint64      `json:"total"`
}

type TokenData struct {
	Address           string  `json:"address" dc:"代币地址"`
	Decimals          int     `json:"decimals" dc:"小数位数"`
	LastTradeUnixTime int64   `json:"lastTradeUnixTime" dc:"最后交易时间的 Unix 时间戳"`
	Liquidity         float64 `json:"liquidity" dc:"流动性"`
	LogoURI           string  `json:"logoURI" dc:"Logo URI"`
	MC                float64 `json:"mc" dc:"市值"`
	Name              string  `json:"name" dc:"代币名称"`
	Symbol            string  `json:"symbol" dc:"代币符号"`
	V24hChangePercent float64 `json:"v24hChangePercent" dc:"24小时价格变动百分比"`
	V24hUSD           float64 `json:"v24hUSD" dc:"24小时交易额USD"`
}
